<?php
/**
 * Custom header implementation
 */

function home_construction_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'home_construction_custom_header_args', array(
		'default-text-color' => 'fff',
		'header-text' 	     =>	false,
		'width'              => 1400,
		'height'             => 135,
		'flex-width'         => true,
		'flex-height'        => true,
		'wp-head-callback'   => 'home_construction_header_style',
	) ) );
}

add_action( 'after_setup_theme', 'home_construction_custom_header_setup' );

if ( ! function_exists( 'home_construction_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see home_construction_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'home_construction_header_style' );
function home_construction_header_style() {
	//Check if user has defined any header image.
	if ( get_header_image() ) :
	$custom_css = "
        #header {
			background-image:url('".esc_url(get_header_image())."');
			background-size: 100% 100%;
		}
		.menu-section, .bottom-header {
			background: transparent;
		}";
	   	wp_add_inline_style( 'home-construction-basic-style', $custom_css );
	endif;
}
endif; // home_construction_header_style